﻿Option Explicit On

Module modStahlprofile

    Public strEHL As String, strEHF As String
    Public strBaustahl(0 To 5) As String
    Public strWerkstoffBez As String
    Public blnEC3 As Boolean

    Public strProfilTab As String, strProfilBez As String
    Public fyk As Single, fuk As Single
    Public gamM As Single
    Public db_Bez As String
    Public db_h As Single, db_b As Single, db_A As Single, db_t As Single
    Public db_d As Single, db_iy1 As Single, db_iz1 As Single
    Public db_s As Single, db_IY As Single, db_IZ As Single, db_IT As Single
    Public db_Wy As Single, db_Sy As Single, db_Wz As Single, db_AQ As Single
    Public db_ey As Single, db_r As Single

    Public Mplyd As Single, Mplzd As Single
    Public Npld As Single, Vplzd As Single, Vplyd As Single

    Public Const strPgmName = "Walzprofile"
    Public Const strVersion = "5.1"
    Public Const EMod = 210000
    Public Const GMod = 81000

    Public Sub Kennwerte()
        'Charakteristische Werte für Baustahl
        If blnEC3 = False Then
            Select Case strWerkstoffBez
                Case "S 235" : fyk = 240 : fuk = 360
                Case "S 275" : fyk = 275 : fuk = 410
                Case "S 355" : fyk = 360 : fuk = 470
                Case "S 450" : fyk = 440 : fuk = 550
            End Select
        Else
            Select Case strWerkstoffBez
                Case "S 235" : fyk = 235 : fuk = 360
                Case "S 275" : fyk = 275 : fuk = 430
                Case "S 355" : fyk = 355 : fuk = 510
                Case "S 420" : fyk = 420 : fuk = 520
                Case "S 460" : fyk = 460 : fuk = 540
            End Select
        End If
        frmStahlprofile.Label4.Text = "Streckgrenze  fy,k = " + Str(fyk) + " N/mm²"
        frmStahlprofile.Label5.Text = "Zugfestigkeit  fu,k = " + Str(fuk) + " N/mm²"
    End Sub

    Public Sub plastSchn_EC3()
        'plastische Schnittgrößen nach EC 3
        Dim hw As Single, Aw As Single
        Dim Ar, Af, NwRd As Single
        Dim sigRd As Single
        sigRd = fyk / gamM / 10                     'N/mm² -> kN/cm²
        hw = (db_h - 2 * db_t) / 10            'cm
        Af = db_t * db_b / 100                 'cm²
        Aw = hw * db_s / 10                    'cm²
        Ar = 0.215 * db_r ^ 2 / 100
        NwRd = db_s * (db_h - 2 * db_t) * sigRd / 100
        Npld = db_A * sigRd
        Mplyd = (Af * (db_h - db_t) / 10 + Aw * hw / 4 _
                 + 4 * Ar * (db_h / 2 - db_t - 0.223 * db_r) / 10) _
                 * sigRd / 100                 'kNm
        Vplzd = (db_A - 2 * Af + (db_s + 2 * db_r) * db_t / 100) _
                 * sigRd / Math.Sqrt(3)
        Mplzd = (Af * db_b / 20 + Aw * db_s / 40 + _
                 4 * Ar * (db_s / 20 - 0.223 * db_r / 10)) _
                 * sigRd / 100   'kNm
        Vplyd = 2 * Af * sigRd / Math.Sqrt(3)
    End Sub   'plastSchn_EC3

    Public Sub plastSchn_18800()
        'plastische Schnittgrößen DIN 18800-1
        Dim sigRd As Single
        sigRd = fyk / gamM / 10                     'N/mm² -> kN/cm²
        Npld = db_A * sigRd
        Mplyd = 2 * db_Sy * sigRd / 100             'kNm
        Vplzd = db_h * db_s * sigRd / Math.Sqrt(3) / 100
        Mplzd = 1.25 * db_Wz * sigRd / 100
        Vplyd = 2 * db_t * db_b * sigRd / Math.Sqrt(3) / 100
    End Sub   'plastSchn_18800

    Public Sub BSloeschen()
        'Bildschirmausgaben
        With frmStahlprofile
            .Label6.Text = ""
            .Label7.Text = ""
            .Label8.Text = ""
            .Label9.Text = ""
            .Label12.Text = ""
            .Label13.Text = ""
            .Label14.Text = ""
            .Label15.Text = ""
            .Label16.Text = ""
            .Label17.Text = ""
            .Label20.Text = ""
        End With
    End Sub

    Public Sub Vorbelegung()
        'Vorbelegung mit Beispiel
        strEHL = "mm" : strEHF = "N"
        strProfilTab = "HEA"
        gamM = 1.1
        strBaustahl(1) = "S 235"
        strBaustahl(2) = "S 275"
        strBaustahl(3) = "S 355"
        strBaustahl(4) = "S 450"
        fyk = 240 : fuk = 360
        blnEC3 = False
    End Sub

End Module
